FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 02-20-2012, 05:53 PM
Joseph
 
Default openldap-2.4.24 fails to compile

I have automake-1.9.6-r3 installed but emerging openldap fails, it seems to me it has something to do with this bug:
https://bugs.gentoo.org/show_bug.cgi?id=403261

I have all three versions installed:
equery list automake

* Searching for automake ...
[IP-] [ ] sys-devel/automake-1.9.6-r3:1.9
[IP-] [ ] sys-devel/automake-1.10.3:1.10
[IP-] [ ] sys-devel/automake-1.11.1:1.11

but openldap-2.4.24 fails to compile.
What is the solution? Why it works for others?

--
Joseph
 
Old 02-20-2012, 11:47 PM
Pandu Poluan
 
Default openldap-2.4.24 fails to compile

On Feb 21, 2012 1:57 AM, "Joseph" <syscon780@gmail.com> wrote:

>

> I have automake-1.9.6-r3 installed but emerging openldap fails, it seems to me it has something to do with this bug:

> https://bugs.gentoo.org/show_bug.cgi?id=403261

>

> I have all three versions installed: equery list automake

> ** Searching for automake ...

> [IP-] [ *] sys-devel/automake-1.9.6-r3:1.9

> [IP-] [ *] sys-devel/automake-1.10.3:1.10

> [IP-] [ *] sys-devel/automake-1.11.1:1.11

>

> but openldap-2.4.24 fails to compile.

> What is the solution? Why it works for others?

>

> --

> Joseph

>


What's the actual error message? Have you tried going to MAKEOPTS=-j1?


Rgds,
 
Old 02-20-2012, 11:59 PM
Joseph
 
Default openldap-2.4.24 fails to compile

On 02/21/12 07:47, Pandu Poluan wrote:

On Feb 21, 2012 1:57 AM, "Joseph" <[1]syscon780@gmail.com> wrote:
>
> I have automake-1.9.6-r3 installed but emerging openldap fails, it
seems to me it has something to do with this bug:
> [2]https://bugs.gentoo.org/show_bug.cgi?id=403261
>
> I have all three versions installed: equery list automake
> * Searching for automake ...
> [IP-] [ ] sys-devel/automake-1.9.6-r3:1.9
> [IP-] [ ] sys-devel/automake-1.10.3:1.10
> [IP-] [ ] sys-devel/automake-1.11.1:1.11
>
> but openldap-2.4.24 fails to compile.
> What is the solution? Why it works for others?
>
> --
> Joseph
>

What's the actual error message? Have you tried going to MAKEOPTS=-j1?

Rgds,



I was getting same message as this one:
* Failed Running aclocal !
*
* Include in your bugreport the contents of:
*
* /var/tmp/portage/net-nds/openldap-2.4.24/temp/aclocal.out
* ERROR: net-nds/openldap-2.4.24 failed (prepare phase):
* Failed Running aclocal !
*
* Call stack:
* ebuild.sh, line 85: Called src_prepare
* environment, line 3801: Called eautoreconf
* environment, line 1075: Called eaclocal
* environment, line 993: Called autotools_run_tool '--at-m4flags' 'aclocal'
* environment, line 628: Called die
* The specific snippet of code:
* die "Failed Running $1 !";


Though, it compiles unstable verstion: openldap-2.4.28-r1 OK

--
Joseph
 

Thread Tools




All times are GMT. The time now is 07:20 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org